Debian Bug report logs - #661383
Hardcoded path to libz.so

version graph

Package: libvtk5-dev; Maintainer for libvtk5-dev is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>; Source for libvtk5-dev is src:vtk.

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Sun, 26 Feb 2012 20:30:02 UTC

Severity: normal

Merged with 661676, 661706

Found in version vtk/5.8.0-6

Fixed in version vtk/5.8.0-7

Done: Mathieu Malaterre <mathieu.malaterre@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, A. Maitland Bottoms <bottoms@debian.org>:
Bug#661383; Package libvtk5-dev. (Sun, 26 Feb 2012 20:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to A. Maitland Bottoms <bottoms@debian.org>. (Sun, 26 Feb 2012 20:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Hardcoded path to libz.so
Date: Sun, 26 Feb 2012 21:27:11 +0100
Package: libvtk5-dev
Severity: normal

Looks like #506992 is back again. Now that libz is multi-arch we still
have cmake-vtk defining:

/usr/lib/vtk-5.8/VTKConfig.cmake:SET(VTK_PNG_LIBRARIES
"/usr/lib/x86_64-linux-gnu/libpng.so;/usr/lib/libz.so")
/usr/lib/vtk-5.8/VTKConfig.cmake:SET(VTK_ZLIB_LIBRARIES     "/usr/lib/libz.so")
/usr/lib/vtk-5.8/VTKTargets-release.cmake:
IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "/usr/lib/libz.so;vtksys"
/usr/lib/vtk-5.8/VTKTargets-release.cmake:
IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE
"/usr/lib/libpq.so;/usr/lib/libmysqlclient.so;/usr/lib/libz.so;vtkIO;vtkFilteringJava"

Which breaks gdcm compilation (and possible others).

-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, A. Maitland Bottoms <bottoms@debian.org>:
Bug#661383; Package libvtk5-dev. (Sun, 26 Feb 2012 20:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to A. Maitland Bottoms <bottoms@debian.org>. (Sun, 26 Feb 2012 20:39:09 GMT) Full text and rfc822 format available.

Message #10 received at 661383@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 661383@bugs.debian.org
Subject: Re: Bug#661383: Acknowledgement (Hardcoded path to libz.so)
Date: Sun, 26 Feb 2012 21:35:28 +0100
Copy/paste of current error:


[ 97%] Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmPythonD.dir/vtkGDCMImageReaderPython.cxx.o
cd /tmp/buildd/gdcm-2.2.0/obj-x86_64-linux-gnu/Utilities/VTK &&
/usr/bin/c++   -DvtkgdcmPythonD_EXPORTS -g -O2 -fstack-protector
--param=ssp-buffer-size=4 -Wformat -Wformat-security
-Werror=format-security -D_FORTIFY_SOURCE=2  -DNDEBUG  -Wno-deprecated
-fPIC -I/usr/include/vtk-5.8
-I/tmp/buildd/gdcm-2.2.0/obj-x86_64-linux-gnu/Source/Common
-I/tmp/buildd/gdcm-2.2.0/Source/Common
-I/tmp/buildd/gdcm-2.2.0/Source/DataStructureAndEncodingDefinition
-I/tmp/buildd/gdcm-2.2.0/Source/MediaStorageAndFileFormat
-I/tmp/buildd/gdcm-2.2.0/Source/DataDictionary
-I/tmp/buildd/gdcm-2.2.0/Utilities/VTK -I/usr/include/mummy-1.0.2
-I/usr/lib/jvm/java-6-openjdk-amd64/include
-I/usr/lib/jvm/java-6-openjdk-amd64/include/linux
-I/usr/include/python2.7    -o
CMakeFiles/vtkgdcmPythonD.dir/vtkGDCMImageReaderPython.cxx.o -c
/tmp/buildd/gdcm-2.2.0/obj-x86_64-linux-gnu/Utilities/VTK/vtkGDCMImageReaderPython.cxx
/usr/bin/cmake -E cmake_progress_report
/tmp/buildd/gdcm-2.2.0/obj-x86_64-linux-gnu/CMakeFiles
[ 97%] make[3]: *** No rule to make target `/usr/lib/libz.so', needed
by `bin/libvtkgdcmJava.so'.  Stop.
make[3]: *** Waiting for unfinished jobs....
Building CXX object
Utilities/VTK/CMakeFiles/vtkgdcmJava.dir/vtkGDCMThreadedImageReader2Java.cxx.o
cd /tmp/buildd/gdcm-2.2.0/obj-x86_64-linux-gnu/Utilities/VTK &&
/usr/bin/c++   -DvtkgdcmJava_EXPORTS -g -O2 -fstack-protector
--param=ssp-buffer-size=4 -Wformat -Wformat-security
-Werror=format-security -D_FORTIFY_SOURCE=2  -DNDEBUG  -Wno-deprecated
-fPIC -I/usr/include/vtk-5.8
-I/tmp/buildd/gdcm-2.2.0/obj-x86_64-linux-gnu/Source/Common
-I/tmp/buildd/gdcm-2.2.0/Source/Common
-I/tmp/buildd/gdcm-2.2.0/Source/DataStructureAndEncodingDefinition
-I/tmp/buildd/gdcm-2.2.0/Source/MediaStorageAndFileFormat
-I/tmp/buildd/gdcm-2.2.0/Source/DataDictionary
-I/tmp/buildd/gdcm-2.2.0/Utilities/VTK -I/usr/include/mummy-1.0.2
-I/usr/lib/jvm/java-6-openjdk-amd64/include
-I/usr/lib/jvm/java-6-openjdk-amd64/include/linux
-I/usr/include/python2.7    -o
CMakeFiles/vtkgdcmJava.dir/vtkGDCMThreadedImageReader2Java.cxx.o -c
/tmp/buildd/gdcm-2.2.0/obj-x86_64-linux-gnu/Utilities/VTK/vtkGDCMThreadedImageReader2Java.cxx
make[3]: Leaving directory `/tmp/buildd/gdcm-2.2.0/obj-x86_64-linux-gnu'
make[2]: *** [Utilities/VTK/CMakeFiles/vtkgdcmJava.dir/all] Error 2
make[2]: *** Waiting for unfinished jobs....




Added indication that bug 661383 blocks 660101 Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Sun, 26 Feb 2012 20:45:06 GMT) Full text and rfc822 format available.

Forcibly Merged 661383 661706. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Wed, 29 Feb 2012 15:27:05 GMT) Full text and rfc822 format available.

Forcibly Merged 661383 661676 661706. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Wed, 29 Feb 2012 15:27:08 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Feb 2012 21:45:08 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:55:00 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Apr 2012 07:33:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:17:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.